Bug 1159222 - "SSL certificate is untrusted" warning is too vague
Summary: "SSL certificate is untrusted" warning is too vague
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-31 09:04 UTC by Miroslav Suchý
Modified: 2015-02-28 22:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:42:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 602 None None None Never

Description Miroslav Suchý 2014-10-31 09:04:23 UTC
Description of problem:
After installation of Pulp I run:
pulp-admin rpm repo create --repo-id=test  --feed=http://copr-be.cloud.fedoraproject.org/results/msuchy/igal2/epel-7-x86_64/
And got this message:
WARNING: The server's SSL certificate is untrusted!

The server's SSL certificate was not signed by a trusted authority. This could
be due to a man-in-the-middle attack, or it could be that the Pulp server needs
to have its certificate signed by a trusted authority. If you are willing to
accept the associated risks, you can set verify_ssl to False in the client
config's [server] section to disable this check.

Because this is just testing deployment to get familier with Pulp, I would like to set verify_ssl to False, but I have not idea what is "client
config" and now I have to dive into a documentation.

It would be nice if you can tell me that "client config" is either /etc/pulp/admin/admin.conf or ~/.pulp/admin.conf

Comment 1 Randy Barlow 2014-11-03 17:51:39 UTC
One way to make this less vague is to catch this exception in every piece of code that uses the bindings and add in a message about the pertinent config file there.

Comment 2 Brian Bouterse 2015-02-28 22:42:31 UTC
Moved to https://pulp.plan.io/issues/602


Note You need to log in before you can comment on or make changes to this bug.